Bug 68456 - KDED Crash after first time Konqueror within Gnome, non-root
KDED Crash after first time Konqueror within Gnome, non-root
Product: Red Hat Public Beta
Classification: Retired
Component: kdelibs (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: wdovlrrw
: 70627 (view as bug list)
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-07-10 07:25 EDT by Warren Togami
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-31 14:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-07-10 07:25:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
If you run Konqueror within Gnome for the first time (.kde and .qt do not
exist), the KDE Crash Dialogue appears several seconds after you close
Konqueror.  It appears to crash when kdeinit tries to kill itself.  You can see
these following messages if you run Konqueror within Gnome Terminal without
having used KDE previously.

Mutex destroy failure: Device or resource busykdeinit: Fatal IO error: client killed
kdeinit: sending SIGHUP to children.
kdeinit: sending SIGTERM to children.
kdeinit: Exit.
iLast DCOP call before KDED crash was from application ''
to object '', function ''.
KCrash: crashing.... crashRecursionCounter = 2
KCrash: Application Name = kded path = <unknown> pid = 20354

The following was in the KDE Crash Handler Backtrace:
(no debugging symbols found)...[New Thread 1024 (LWP 20354)]
0x4209ce49 in wait4 () from /lib/i686/libc.so.6
#0  0x4209ce49 in wait4 () from /lib/i686/libc.so.6
#1  0x4211422c in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40effa43 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40657185 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4

Version-Release number of selected component (if applicable):
Red Hat Limbo
All packages installed

How reproducible:

Steps to Reproduce:
1. Login to Gnome.
2. Erase ~/.kde and ~/.qt
3. Run "konqueror" within gnome terminal and exit, wait a few seconds to see all
the error messages.	

Actual Results:  
KDED crashes.

Expected Results:  
Should exit gracefully.
Comment 1 Nathan G. Grennan 2002-07-10 08:43:11 EDT
This has been an annoying bug for a long time. It is in KDE 3.0.0, 3.0.1, and
still in 3.0.2.
Comment 2 Warren Togami 2002-07-20 05:55:16 EDT
Appears to be fixed with the first round of up2date packages (7/19/2002).  Can
anyone confirm?
Comment 3 Warren Togami 2002-07-20 06:02:03 EDT
Oops, no this isn't fixed.  It crashes as a non-root user, but not as root.
Comment 4 Ngo Than 2002-08-07 16:16:28 EDT
*** Bug 70627 has been marked as a duplicate of this bug. ***
Comment 5 Warren Togami 2002-08-12 03:51:31 EDT
Tested again with qt-3.0.5-10, kdebase-3.0.2-8, kdelibs-3.0.2-6.  It behaves
differently now in that it doesn't crash 30 seconds after you close KDE
applications, but when it is explicitly killed (i.e. during a logout where you
wouldn't notice anyway).

Very low priority.
Comment 6 Ngo Than 2002-08-13 15:34:42 EDT
it's fixed in kdelibs-3.0.3-1 or newer
Comment 7 Jay Turner 2002-08-29 22:33:32 EDT
With kdelibs-3.0.3-6, I'm still getting some really odd messages a short while
after exiting konqueror.  Stuff like this:

Mutex destroy failure: Device or resource busy
kdeinit: Fatal IO error: client filled
kdeinit: sending SIGHUP to children
kdeinit: sending SIGTERM to children
kdeinit: Exit
Comment 8 Ngo Than 2002-08-31 14:03:58 EDT
just ignore it.
Comment 9 Jay Turner 2002-09-03 21:45:15 EDT
Closing out.

Note You need to log in before you can comment on or make changes to this bug.